跳至內容

Video Prompt Generator

整合

模型 id video-prompt-generator
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/video-prompt-generator?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_concept": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.001 1 API 點數 在此頁面執行

取得 API 金鑰
Utility LLM #motion#transformation#chat#claude

根據概念撰寫影片生成提示,提供攝影機、節奏和特效選項

Utility · 資料(JSON)

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

image_url
拖放檔案,或

透過 URL 提供的選用圖像;分析後的內容會成為影片提示詞的一部分。

•必填

用於建立影片提示詞的主要想法或主題。

進階 prompt_length · style · camera_style · camera_direction · pacing · special_effects · custom_elements · model
prompt_length 預設 Medium

所需的提示詞長度。

預設 Simple

套用至影片提示詞的風格。

預設 None

相機移動的風格。

預設 None

相機移動的方向。

預設 None

節奏快慢的韻律。

預設 None

特殊效果所採用的處理方式。

預設

選用的自訂技術細節。

預設 google/gemini-2.5-fla...

選取要使用的模型。

POST /run/video-prompt-generator?wait=20 報價 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/video-prompt-generator?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_concept": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Video Prompt Generator

接收 `input_concept`,並使用選定的 `style`、`camera_style`、`camera_direction`、`pacing` 和 `special_effects` 建立提示。可加入要整合的 `custom_elements` 或 `image_url`、選擇語言模型,並將 `prompt_length` 設為 Short、Medium 或 Long。以文字回傳提示。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
input_concept必填
類型string
用於建立影片提示詞的主要想法或主題。
style選填
類型enum
預設值Simple
MinimalistSimpleDetailedDescriptiveDynamicCinematicDocumentaryAnimationActionExperimental
套用至影片提示詞的風格。
camera_style選填
類型enum
預設值None
NoneSteadicam flowDrone aerialsHandheld urgencyCrane eleganceDolly precisionVR 360Multi-angle rigStatic tripodGimbal smoothnessSlider motionJib sweepPOV immersionTime-slice arrayMacro extremeTilt-shift miniature
另有 5 個Snorricam characterWhip pan dynamicsDutch angle tensionUnderwater housingPeriscope lens
相機移動的風格。
camera_direction選填
類型enum
預設值None
NoneZoom inZoom outPan leftPan rightTilt upTilt downOrbital rotationPush inPull outTrack forwardTrack backwardSpiral inSpiral outArc movementDiagonal traverse
另有 2 個Vertical riseVertical descent
相機移動的方向。
pacing選填
類型enum
預設值None
NoneSlow burnRhythmic pulseFrantic energyEbb and flowHypnotic driftTime-lapse rushStop-motion staccatoGradual buildQuick cut rhythmLong take meditationJump cut energyMatch cut flowCross-dissolve dreamscapeParallel actionSlow motion impact
另有 4 個Ramping dynamicsMontage tempoContinuous flowEpisodic breaks
節奏快慢的韻律。
special_effects選填
類型enum
預設值None
NonePractical effectsCGI enhancementAnalog glitchesLight paintingProjection mappingNanosecond exposuresDouble exposureSmoke diffusionLens flare artistryParticle systemsHolographic overlayChromatic aberrationDigital distortionWire removalMotion capture
另有 5 個Miniature integrationWeather simulationColor gradingMixed media compositeNeural style transfer
特殊效果所採用的處理方式。
custom_elements選填
類型string
預設值
選用的自訂技術細節。
image_url選填 image
類型url · image
透過 URL 提供的選用圖像;分析後的內容會成為影片提示詞的一部分。
model選填
類型enum
預設值google/gemini-2.5-flash-lite
anthropic/claude-3-haikugoogle/gemini-2.5-flashgoogle/gemini-2.5-flash-litemeta-llama/llama-3.1-8b-instructmeta-llama/llama-3.1-70b-instructopenai/gpt-4o-miniopenai/gpt-4o
選取要使用的模型。
prompt_length選填
類型enum
預設值Medium
ShortMediumLong
所需的提示詞長度。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "video-prompt-generator",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "input_concept": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "prompt": "A futuristic city glows softly at dusk, captured with smooth gimbal movements and a slow burn pacing, enhanced by subtle holographic overlays."
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
prompt
string模型產生的影片提示詞。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/video-prompt-generator.md. 所有模型與指南: https://doitong.com/developers/llms.txt